For the complete documentation index, see llms.txt. This page is also available as Markdown.

Clicks

Get Click Details

get

Retrieves the details of a specific click event by its ID (im_ref). Note that a single ID can be associated with multiple click objects, representing a single consumer journey.

Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired

The ID of the campaign (program) the click belongs to.

ClickIdstringRequired

The generated click ID (im_ref) representing the consumer journey.

Responses
200

A click object.

application/json
IdstringOptional

A generated value that represents the consumer journey (im_ref).

Example: abcdefg1hijkl2mn3opq4rStUvwxyz5a6bcdef7
CampaignIdintegerOptional

Program (formerly known as campaign ) Id associated with the click.

Example: 1000
CampaignNamestringOptional

Program (formerly known as campaign ) name associated with the click.

Example: Acme Campaign
ProfileIdstringOptional

impact.com's unique identifier for a user on a specific device.

Example: ab12345c-6789-0123-4de5-678f90g123h4
IpAddressstringOptional

Hashed IP address of the click source.

Example: abcdefghijklmnopqrstuvwxyz1234567890
EventDatestring · date-timeOptional

Date and time this click happened. See ISO 8601 .

Example: 2021-01-25T08:06:24-05:00
MediaIdintegerOptional

Partner ID that drove the click.

Example: 10000
MediaNamestringOptional

Partner name that drove the click.

Example: Partner Person
AdIdintegerOptional

Id of the ad that was clicked.

Example: 656565
AdNamestringOptional

Name of the ad that was clicked.

Example: Our Anvils Are Awesome
AdTypestring · enumOptional

Type of the ad that was clicked.

Example: BANNERPossible values:
ProductSkustringOptional

SKU of the item the ad is marketing.

Example: 12345
CustomerAreastringOptional

Generated from the IpAddress attribute, this is the geographical area from where the customer generated the click. If IpAddress was not tracked, n/a will appear.

Example: n/a
CustomerCitystringOptional

Generated from the IpAddress attribute, this is the city from where the customer generated the click. If IpAddress was not tracked, n/a will appear.

Example: n/a
CustomerRegionstringOptional

Generated from the IpAddress attribute, this is the geographical region from where the customer generated the click. If IpAddress was not tracked, n/a will appear.

Example: n/a
CustomerCountrystringOptional

Generated from the IpAddress attribute, this is the country from where the customer generated the click. If IpAddress was not tracked, n/a will appear. See ISO 3166-1 alpha-2 .

Example: US
DeviceTypestring · enumOptional

What device the customer clicked or tapped the ad on.

Example: UNKNOWNPossible values:
DeviceFamilystringOptional

General group of devices that the attribute DeviceType comes from. Only a sample of all enum values are presented below.

Example: null
BrowserstringOptional

Which web browser the customer used when they generated the click. Only a sample of all enum values are presented below.

Example: null
OsstringOptional

Which operating system the customer used when they generated the click. Only a sample of all enum values are presented below.

Example: null
ReferringUrlstring · uriOptional

The URL that the customer came from when they generated the click.

Example: https://www.google.com/
ReferringDomainstringOptional

The web domain that the customer came from when they generated the click.

Example: NA
LandingPageUrlstring · uriOptional

The URL the customer landed on when they generated the click.

Example: http://google.com?irgwc=1
SharedIdstringOptional

A SharedId that is passed on the tracking link the partner used.

UniqueClickbooleanOptional

If the click follows IAB standards for a "unique click."

Example: true
CpcBidstringOptional

How much the partner will be paid for driving the click.

Example: 0.0
DealNamestringOptional

Name of the associated deal.

DealTypestring · enumOptional

Type of the associated deal.

Possible values:
DealScopestring · enumOptional

To what extent the deal applies to the click.

Possible values:
Payoutnumber · decimalOptional

Partner's payout for driving the click.

Example: 5
TrafficCategorystringOptional

What kind of traffic is generating the click.

Example: AFFILIATE
TrafficSourcestringOptional

Referring site (aka Source ) of the traffic generating the click.

Example: CONTENT
BidKeywordstringOptional

If the click was generated from a Paid Search, then this will be the keyword used in that Paid search.

Example: tennis balls
SearchTextstringOptional

If the click was generated from a Paid Search, then this will be the search query the customer put into a search engine.

Example: best tennis balls
get/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Clicks/{ClickId}
GET /Advertisers/{AccountSID}/Campaigns/{CampaignId}/Clicks/{ClickId} HTTP/1.1
Host: api.impact.com
Accept: */*
200

A click object.

{
  "Id": "abcdefg1hijkl2mn3opq4rStUvwxyz5a6bcdef7",
  "CampaignId": "1000",
  "CampaignName": "Acme Campaign",
  "ProfileId": "ab12345c-6789-0123-4de5-678f90g123h4",
  "IpAddress": "abcdefghijklmnopqrstuvwxyz1234567890",
  "EventDate": "2021-01-25T08:06:24-05:00",
  "MediaId": "10000",
  "MediaName": "Partner Person",
  "AdId": "656565",
  "AdName": "Our Anvils Are Awesome",
  "AdType": "BANNER",
  "ProductSku": "12345",
  "BrandRelated": {
    "AdCampaign": "Summer Sale",
    "AdGroup": "Tennis Equipment",
    "Keyword": "tennis balls",
    "MatchType": "BROAD",
    "Channel": "GOOGLE_SHOPPING"
  },
  "CustomerArea": "n/a",
  "CustomerCity": "n/a",
  "CustomerRegion": "n/a",
  "CustomerCountry": "US",
  "DeviceType": "UNKNOWN",
  "DeviceFamily": "null",
  "Browser": "null",
  "Os": "null",
  "ReferringUrl": "https://www.google.com/",
  "ReferringDomain": "NA",
  "LandingPageUrl": "http://google.com?irgwc=1",
  "SharedId": "text",
  "UniqueClick": "true",
  "CpcBid": "0.0",
  "DealName": "text",
  "DealType": "BOGO",
  "DealScope": "CATEGORY",
  "PartnerRelated": {
    "SubId1": "subid1value",
    "SubId2": "subid2value",
    "SubId3": "subid3value"
  },
  "Payout": 5,
  "TrafficCategory": "AFFILIATE",
  "TrafficSource": "CONTENT",
  "BidKeyword": "tennis balls",
  "SearchText": "best tennis balls"
}

Last updated